Subject: Re: default PATH
From: Julien Thewys <[email-masked]>
To: Eric Blake <[email-masked]>
Cc: [email-masked]
Date: Wed, 8 Feb 2006 10:58:32 +0100

Solution is to reinstall 'base-files' (seehttp://www.cygwin.com/ml/cygwin/2006-02/msg00222.html).
My PATH was appended with '.' because of a trailing ';' in my Windows PATH.
Thank you.--jt
On 2/6/06, Eric Blake <[email-masked]> wrote:> > I upgrade to 1.5.19-4 and my default PATH has changed:> >> > PATH is "inherited" from my WinXP environment as usual but it is not> > prepend with "/bin" like before the upgrade, and is now appended with> > ".".> > I cannot find where this happen (my .bashrc is unchanged).>> Try opening a cmd.com window in c:\cygwin\bin (or whatever> it is named), then running 'bash --login -xv' to see every command> executed by bash during startup.  Maybe that will help you> pinpoint the culprit.>> >> > Also, when I start cygwin (shell in rxvt), it throws me in "/usr/bin"> > (which is a mount of "/bin") instead of my usual "~/".>> Sounds like it might be a problem with $HOME, such that> bash does not know where to find your ~/.bashrc.>> >> > I can fix all this by hand in my .bashrc but I want to have a clean> > fix (avoid cygwin to do the bad job at the first place).> > Can someone tell me where to look at?> >> > Note: the upgrade also updated coreutils, readline and other minor stuff.>> Perhaps you also upgraded base-files, and maybe something> in there was the culprit?>> Hint: following these directions is a great help to debugging:> > Problem reports:       http://cygwin.com/problems.html>> --> Eric Blake> volunteer cygwin bash maintainer>

--Julien